<template>
  <v-progress-linear
    height="40px"
    color="secondary"
    id="loading"
    indeterminate
    v-show="showLoading"
  ></v-progress-linear>
</template>

<script>
  import { mapGetters } from 'vuex'

  export default {
    name: 'BaseLoading',
    computed: mapGetters(['showLoading'])
  }
</script>
<style scoped>
  #loading {
    position: fixed;
    top: 0;
  }
</style>
